%define name	bins 
%define version 1.1.23
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A fully configurable HTML photo album generator.
Source:		http://jsautret.free.fr/BINS/%{name}-%{version}.tar.bz2
License:	GPL
Group:		Graphics
Url:		http://bins.sautret.org
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
The aim of BINS is to generate static HTML photo albums

%prep
%setup
perl  -pi -e 's|/usr/local|/usr|g' bins bins-edit-gui doc/*.html

%build

%install
rm -rf $RPM_BUILD_ROOT
# binaries
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 bins bins_edit bins-edit-gui $RPM_BUILD_ROOT%{_bindir}
# config
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/bins
install -m 644 binsrc $RPM_BUILD_ROOT%{_sysconfdir}/bins
cp -pr templates $RPM_BUILD_ROOT%{_sysconfdir}/bins/templates.default
cp -pr templates.joi $RPM_BUILD_ROOT%{_sysconfdir}/bins/templates.joi
# additional files
install -d -m 755 -p $RPM_BUILD_ROOT%{_datadir}/bins
install -m 644 bins-edit-gui.glade $RPM_BUILD_ROOT%{_datadir}/bins
# man pages
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
# i18n
langs="fr de pl it ru"
for L in $langs; do
	install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/locale/$L/LC_MESSAGES
	install -m 644 intl/$L.mo $RPM_BUILD_ROOT%{_datadir}/locale/$L/LC_MESSAGES/bins.mo
	if [ -f  intl/gui-$L.mo ]; then
		install -m 644 intl/gui-$L.mo $RPM_BUILD_ROOT%{_datadir}/locale/$L/LC_MESSAGES/bins-edit-gui.mo
	fi
done

%find_lang %{name} --all-name

# fix doc file perms
chmod 644 ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang 
%defattr(-,root,root)
%doc ChangeLog CREDITS LICENSE README README.gui RELEASE.gui TODO doc/*.html
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/bins
%{_datadir}/bins
%{_mandir}/man1/*

%changelog
* Wed Sep 10 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.1.23-1mdk
- 1.1.23

* Sun Jul 20 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.1.22-1mdk
- 1.1.22

* Fri Jun 13 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.1.21-3mdk
- no more hardcoded requires
- spec cleanup

* Wed Apr 30 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.21-2mdk
- distlint fix

* Thu Apr 10 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.21-1mdk
- 1.1.21
 
* Sun Feb 09 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.20-1mdk
- 1.1.20 (Thx C. Thevenet)

* Wed Dec 18 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.19-1mdk
- 1.1.19
- do not install any doc files in %%_sysconfdir

* Thu Oct 31 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.18-3mdk
- Requires Perl-IO-String and not prel... gr..

* Thu Oct 31 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.18-2mdk
- add Requires perl-IO-String

* Mon Oct 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.18-1mdk
- 1.1.18

* Sun Oct 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.17-1mdk 
- 1.1.17

* Thu Sep 05 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.16-3mdk
- Cdric Thvenet <cedric@mandrakefr.org>
        - Another path fixed

* Thu Sep 05 2002 Cdric Thvenet <cedric@mandrakefr.org> 1.1.16-2mdk
	- Fixed a path in bins-edit-gui

* Tue Sep 03 2002 Cdric Thvenet <cedric@mandrakefr.org> 1.1.16-1mdk
        - Added Russian translation.
	- Joi templates has been added.
	- fix missing locale

* Fri Aug 30 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.1.15-1mdk 
- Cdric Thvenet <cedric@mandrakefr.org>
	- First spec file for Mandrake distribution.
